Subject: bug#9571: 24.0.50; user option to turn off bidi, please

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Sep 2011 22:10:51 +0300

> Date: Fri, 23 Sep 2011 21:24:03 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > cursor positioning [is] the tricky part of your changes, and IIUC
> > the only part that can't just be turned off by bidi-display-reordering
> 
> By and large, yes.  But cursor positioning is very central to user
> experience.  And there are other, less major pieces of the display
> engine that were modified without keeping the old code conditioned on
> bidi-display-reordering.

I remembered another important piece of code that doesn't pay
attention to bidi-display-reordering: mouse highlight.  It was
completely reimplemented with bidi-aware code.